Subject: [hackathon] 6lo plugtest: interoperability testing with F-Interop testing platform

From: Alain Ribault <[email-masked]>
Date: Thu, 22 Feb 2018 20:20:08 +0100 (CET)

Dear all,

KEREVAL is a french testing lab involved in the European project F-interop which aim is to develop an interoperability testing platform for WPAN.
In this project, we develop the 6lo interoperability testing part.

For the next IETF-101, during the hackaton slot, we'll organize a plugtest in order for 6lo providers to test the interoperability of their solutions.
We cover the following RFCs:
- RFC4944: Transmission of IPv6 Packets over IEEE 802.15.4 Networks
- RFC6282: Compression Format for IPv6 Datagrams over IEEE 802.15.4-Based Networks
- RFC6775: Neighbor Discovery Optimization for IPv6 over Low-Power Wireless Personal Area Networks (6LoWPANs)
We'll come with an implementation based on linux-WPAN running on a RPi and the radio chip.

You'll find, in few days, materials describing the platform and how to use it, in the Hackaton website.

If you are interested, here is a doodle, in order for us to know if you could have interest for this plugtest and to organize it.
https://doodle.com/poll/z4bcptmtqdpbbker
(please, could you use the comment part of the doodle to indicate which your name implementation is)

Thanks for your attention.

Regards

Alain Ribault
Directeur Technique

KEREVAL
4, Rue Hélène Boucher
35235 Thorigné-Fouillard

Fixe : +33223204188
Mobile : +33613895589